summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorJavier Sánchez Parra <jsanchez@soleta.eu>2020-06-19 12:33:10 +0200
committerOpenGnSys Support Team <soporte-og@soleta.eu>2020-06-19 15:07:23 +0200
commitc583144e36023399425ac0b05460afd1b519eb5b (patch)
tree2b90c0f303de82daf41f984b0708d13c75db97d0 /installer
parentf6e87d351413b9b2b3a09ffd54d71ebc4280222a (diff)
#986 Rename to ogserver
Step forward to rename all ogAdmServer references to ogServer
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_export.sh4
-rwxr-xr-xinstaller/opengnsys_import.sh4
-rwxr-xr-xinstaller/opengnsys_installer.sh6
-rwxr-xr-xinstaller/opengnsys_update.sh8
4 files changed, 11 insertions, 11 deletions
diff --git a/installer/opengnsys_export.sh b/installer/opengnsys_export.sh
index 3910b78d..e0f6959c 100755
--- a/installer/opengnsys_export.sh
+++ b/installer/opengnsys_export.sh
@@ -55,7 +55,7 @@ if ! which realpath &>/dev/null ; then
fi
# Comprobamos acceso a ficheros de configuración
-if ! [ -r $OPENGNSYS/etc/ogAdmServer.cfg ]; then
+if ! [ -r $OPENGNSYS/etc/ogserver.cfg ]; then
echo "$PROG: ERROR: Sin acceso a la configuración de OpenGnsys." | tee -a $FILESAL
exit 3
fi
@@ -72,7 +72,7 @@ done
# Exportar la base de datos
echo "Exportamos la información de la base de datos."
-source $OPENGNSYS/etc/ogAdmServer.cfg
+source $OPENGNSYS/etc/ogserver.cfg
# Crear fichero temporal de acceso a la BD
MYCNF=$(mktemp /tmp/.my.cnf.XXXXX)
chmod 600 $MYCNF
diff --git a/installer/opengnsys_import.sh b/installer/opengnsys_import.sh
index 7dcaad3f..0962e34b 100755
--- a/installer/opengnsys_import.sh
+++ b/installer/opengnsys_import.sh
@@ -278,7 +278,7 @@ if ! [ -r $BACKUPFILE ]; then
fi
# Comprobamos acceso a ficheros de configuración
-if ! [ -r $OPENGNSYS/etc/ogAdmServer.cfg ]; then
+if ! [ -r $OPENGNSYS/etc/ogserver.cfg ]; then
echo "$PROG: ERROR: Sin acceso a la configuración de OpenGnsys." | tee -a $FILESAL
exit 3
fi
@@ -333,7 +333,7 @@ fi
# MYSQL
echo " * Importamos informacion mysql."
-source $OPENGNSYS/etc/ogAdmServer.cfg
+source $OPENGNSYS/etc/ogserver.cfg
# Crear fichero temporal de acceso a la BD
if [ ! -r $MYCNF ]; then
chmod 600 $MYCNF
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index ec0d3c74..8a9de630 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -1345,7 +1345,7 @@ function ogServerCompilation ()
echoAndLog "${FUNCNAME}(): Compiling OpenGnsys Server"
pushd "$WORKDIR/ogServer-$BRANCH"
- autoreconf -fi && ./configure && make && mv ogAdmServer $INSTALL_TARGET/sbin
+ autoreconf -fi && ./configure && make && mv ogserver $INSTALL_TARGET/sbin
if [ $? -ne 0 ]; then
echoAndLog "${FUNCNAME}(): error while compiling OpenGnsys Server"
error=1
@@ -1508,7 +1508,7 @@ function openGnsysConfigure()
-e "s/DBUSER/$OPENGNSYS_DB_USER/g" \
-e "s/DBPASSWORD/$OPENGNSYS_DB_PASSWD/g" \
-e "s/DATABASE/$OPENGNSYS_DATABASE/g" \
- "$WORKDIR"/ogServer-"$BRANCH"/ogAdmServer.cfg > "$INSTALL_TARGET"/etc/ogAdmServer-"$dev".cfg
+ "$WORKDIR"/ogServer-"$BRANCH"/cfg/ogserver.cfg > "$INSTALL_TARGET"/etc/ogserver-"$dev".cfg
sed -e "s/SERVERIP/${SERVERIP[i]}/g" \
$WORKDIR/opengnsys/repoman/etc/ogAdmRepo.cfg.tmpl > $INSTALL_TARGET/etc/ogAdmRepo-$dev.cfg
CONSOLEURL="https://${SERVERIP[i]}/opengnsys"
@@ -1525,7 +1525,7 @@ function openGnsysConfigure()
fi
let i++
done
- ln -f $INSTALL_TARGET/etc/ogAdmServer-$DEFAULTDEV.cfg $INSTALL_TARGET/etc/ogAdmServer.cfg
+ ln -f $INSTALL_TARGET/etc/ogserver-$DEFAULTDEV.cfg $INSTALL_TARGET/etc/ogserver.cfg
ln -f $INSTALL_TARGET/etc/ogAdmRepo-$DEFAULTDEV.cfg $INSTALL_TARGET/etc/ogAdmRepo.cfg
ln -f $INSTALL_TARGET/www/controlacceso-$DEFAULTDEV.php $INSTALL_TARGET/www/controlacceso.php
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index ffe262d8..904a1184 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -53,8 +53,8 @@ if [ ! -d $INSTALL_TARGET ]; then
exit 1
fi
# Cargar configuración de acceso a la base de datos.
-if [ -r $INSTALL_TARGET/etc/ogAdmServer.cfg ]; then
- source $INSTALL_TARGET/etc/ogAdmServer.cfg
+if [ -r $INSTALL_TARGET/etc/ogserver.cfg ]; then
+ source $INSTALL_TARGET/etc/ogserver.cfg
fi
OPENGNSYS_DATABASE=${OPENGNSYS_DATABASE:-"$CATALOG"} # Base de datos
OPENGNSYS_DBUSER=${OPENGNSYS_DBUSER:-"$USUARIO"} # Usuario de acceso
@@ -1075,7 +1075,7 @@ function ogServerCompilation()
echoAndLog "${FUNCNAME}(): Recompiling OpenGnsys Admin Server"
pushd "$WORKDIR/ogServer-$BRANCH"
- autoreconf -fi && ./configure && make && moveNewService ogAdmServer $INSTALL_TARGET/sbin
+ autoreconf -fi && ./configure && make && moveNewService ogserver $INSTALL_TARGET/sbin
if [ $? -ne 0 ]; then
echoAndLog "${FUNCNAME}(): error while compiling OpenGnsys Server"
error=1
@@ -1089,7 +1089,7 @@ function ogServerCompilation()
rm -f $INSTALL_TARGET/sbin/ogAdmAgent
# Generar un API token de ogAdmServer si no existe en el fichero de configuración.
- grep -q "APITOKEN=" $INSTALL_TARGET/etc/ogAdmServer.cfg || \
+ grep -q "APITOKEN=" $INSTALL_TARGET/etc/ogserver.cfg || \
$INSTALL_TARGET/bin/settoken -f
if ! diff -q \